[thelist] Mac 68k browsers

Rebekah Murphy bekah at nightvisions.com
Fri Oct 27 11:33:24 CDT 2000

Adam Squier wrote:
> Hi evolters,
> I have an old PB 165c (68030) running NN 4.08 and OS 7.6.1 and was wondering
> what the latest version of Navigator (or Communicator) I could run. I also
> want to run IE on it. I looked in the browser archive but wasn't sure of
> which installers I needed.
> Does anyone know off hand?

 I took a look at http://www.lowendmac.com/compact/68ksoftware.shtml but
hey don't seem to list Netscape. Maybe the answer is on the site and I
just couldn't find it.


More information about the thelist mailing list